Skip to content

UserService⁠

Operations⁠

searchUserTrackingPagedSelectFields⁠

POST

Searches user tracking with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
TokenstringoptionalThe tokenized value for the activity.
POST/nexum/{sym}/persistent/user/searchUserTrackingPagedSelectFields
POST /nexum/627/persistent/user/searchUserTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "SearchFilter": {
    "Query": "string"
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateUserByID⁠

POST

Updates user information based on ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/user/updateUserByID
POST /nexum/627/persistent/user/updateUserByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserFields": {
    "Location": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateUserTrackingByID⁠

POST

Updates user tracking information based on ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
UserTrackingLocatorintegerrequiredThe locator for user tracking.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/user/updateUserTrackingByID
POST /nexum/627/persistent/user/updateUserTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingLocator": 0,
  "UserTrackingFields": {
    "UserChar1": "string",
    "UserCode1": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createUserTracking⁠

POST

Creates a new record for user tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
Path Parameters
symstringrequired
Sym number
UserTrackingLocatorintegeroptionalThe locator for user tracking.
POST/nexum/{sym}/persistent/user/createUserTracking
POST /nexum/627/persistent/user/createUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingFields": {
    "TrackingCode": 0,
    "UserChar1": "string",
    "UserCode1": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteUserTracking⁠

POST

Deletes a record for user tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserNumberintegerrequiredThe user number for the activity.
UserTrackingLocatorintegerrequiredThe locator for user tracking.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/user/deleteUserTracking
POST /nexum/627/persistent/user/deleteUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 0,
  "UserTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}